Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/594.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/594.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/594.exp
@@ -1,39 +1,39 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="16" operation="monitor" operation_key="DcIPaddr_monitor_5000" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
+      <rsc_op id="17" operation="monitor" operation_key="DcIPaddr_monitor_5000" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="15" operation="start" operation_key="DcIPaddr_start_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+        <rsc_op id="16" operation="start" operation_key="DcIPaddr_start_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="15" operation="start" operation_key="DcIPaddr_start_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
+      <rsc_op id="16" operation="start" operation_key="DcIPaddr_start_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+        <rsc_op id="10" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
       </trigger>
       <trigger>
-        <rsc_op id="14" operation="stop" operation_key="DcIPaddr_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="15" operation="stop" operation_key="DcIPaddr_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="32" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="33" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="14" operation="stop" operation_key="DcIPaddr_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
+      <rsc_op id="15" operation="stop" operation_key="DcIPaddr_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
       </rsc_op>
@@ -42,7 +42,7 @@
   </synapse>
   <synapse id="3">
     <action_set>
-      <rsc_op id="9" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
+      <rsc_op id="10" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
       </rsc_op>
@@ -51,7 +51,7 @@
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="12" operation="monitor" operation_key="rsc_hadev3_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
+      <rsc_op id="13" operation="monitor" operation_key="rsc_hadev3_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="rsc_hadev3" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.21"/>
       </rsc_op>
@@ -60,39 +60,39 @@
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="21" operation="monitor" operation_key="rsc_hadev2_monitor_5000" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
+      <rsc_op id="22" operation="monitor" operation_key="rsc_hadev2_monitor_5000" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="rsc_hadev2" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_timeout="20000"  ip="127.0.0.22"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="20" operation="start" operation_key="rsc_hadev2_start_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+        <rsc_op id="21" operation="start" operation_key="rsc_hadev2_start_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <rsc_op id="20" operation="start" operation_key="rsc_hadev2_start_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
+      <rsc_op id="21" operation="start" operation_key="rsc_hadev2_start_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="rsc_hadev2" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_timeout="20000"  ip="127.0.0.22"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="10" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+        <rsc_op id="11" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
       </trigger>
       <trigger>
-        <rsc_op id="19" operation="stop" operation_key="rsc_hadev2_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="20" operation="stop" operation_key="rsc_hadev2_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="32" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="33" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <rsc_op id="19" operation="stop" operation_key="rsc_hadev2_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
+      <rsc_op id="20" operation="stop" operation_key="rsc_hadev2_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="rsc_hadev2" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_timeout="20000"  ip="127.0.0.22"/>
       </rsc_op>
@@ -101,7 +101,7 @@
   </synapse>
   <synapse id="8">
     <action_set>
-      <rsc_op id="10" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
+      <rsc_op id="11" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="rsc_hadev2" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.22"/>
       </rsc_op>
@@ -110,20 +110,20 @@
   </synapse>
   <synapse id="9">
     <action_set>
-      <rsc_op id="24" operation="stop" operation_key="child_DoFencing:0_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
+      <rsc_op id="25" operation="stop" operation_key="child_DoFencing:0_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="child_DoFencing:0" class="stonith" type="ssh"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_timeout="20000"  hostlist="hadev3 hadev2 hadev1 "/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="30" operation="stop" operation_key="DoFencing_stop_0"/>
+        <pseudo_event id="31" operation="stop" operation_key="DoFencing_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10">
     <action_set>
-      <rsc_op id="11" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
+      <rsc_op id="12" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="child_DoFencing:0" class="stonith" type="ssh"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev3 hadev2 hadev1 "/>
       </rsc_op>
@@ -132,20 +132,20 @@
   </synapse>
   <synapse id="11">
     <action_set>
-      <rsc_op id="27" operation="stop" operation_key="child_DoFencing:2_stop_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
+      <rsc_op id="28" operation="stop" operation_key="child_DoFencing:2_stop_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
         <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_timeout="20000"  hostlist="hadev3 hadev2 hadev1 "/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="30" operation="stop" operation_key="DoFencing_stop_0"/>
+        <pseudo_event id="31" operation="stop" operation_key="DoFencing_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12">
     <action_set>
-      <rsc_op id="13" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
+      <rsc_op id="14" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
         <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev3 hadev2 hadev1 "/>
       </rsc_op>
@@ -154,31 +154,31 @@
   </synapse>
   <synapse id="13" priority="1000000">
     <action_set>
-      <pseudo_event id="31" operation="stopped" operation_key="DoFencing_stopped_0">
+      <pseudo_event id="32" operation="stopped" operation_key="DoFencing_stopped_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+        <rsc_op id="12" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
       </trigger>
       <trigger>
-        <rsc_op id="13" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="14" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
-        <rsc_op id="24" operation="stop" operation_key="child_DoFencing:0_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="25" operation="stop" operation_key="child_DoFencing:0_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
-        <rsc_op id="27" operation="stop" operation_key="child_DoFencing:2_stop_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+        <rsc_op id="28" operation="stop" operation_key="child_DoFencing:2_stop_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
       </trigger>
       <trigger>
-        <pseudo_event id="30" operation="stop" operation_key="DoFencing_stop_0"/>
+        <pseudo_event id="31" operation="stop" operation_key="DoFencing_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="14">
     <action_set>
-      <pseudo_event id="30" operation="stop" operation_key="DoFencing_stop_0">
+      <pseudo_event id="31" operation="stop" operation_key="DoFencing_stop_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -186,18 +186,7 @@
   </synapse>
   <synapse id="15">
     <action_set>
-      <crm_event id="34" operation="stonith" operation_key="stonith-hadev3-reboot" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669">
-        <attributes CRM_meta_on_node="hadev3" CRM_meta_on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669" CRM_meta_probe_complete="true" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="879e65f8-4b38-4c56-9552-4752ad436669"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="16">
-    <action_set>
-      <crm_event id="33" operation="do_shutdown" operation_key="do_shutdown-hadev2" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
+      <crm_event id="34" operation="do_shutdown" operation_key="do_shutdown-hadev2" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <attributes CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
@@ -206,66 +195,76 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="14" operation="stop" operation_key="DcIPaddr_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="15" operation="stop" operation_key="DcIPaddr_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
-        <rsc_op id="19" operation="stop" operation_key="rsc_hadev2_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="20" operation="stop" operation_key="rsc_hadev2_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
-        <rsc_op id="24" operation="stop" operation_key="child_DoFencing:0_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="25" operation="stop" operation_key="child_DoFencing:0_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="17">
+  <synapse id="16">
     <action_set>
-      <pseudo_event id="32" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="33" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="34" operation="stonith" operation_key="stonith-hadev3-reboot" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hadev3-reboot" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="18">
+  <synapse id="17">
     <action_set>
-      <pseudo_event id="8" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="9" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+        <rsc_op id="10" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
       </trigger>
       <trigger>
-        <rsc_op id="10" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+        <rsc_op id="11" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
       </trigger>
       <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+        <rsc_op id="12" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
       </trigger>
       <trigger>
-        <rsc_op id="12" operation="monitor" operation_key="rsc_hadev3_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="13" operation="monitor" operation_key="rsc_hadev3_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
-        <rsc_op id="13" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="14" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
-        <rsc_op id="14" operation="stop" operation_key="DcIPaddr_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="15" operation="stop" operation_key="DcIPaddr_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
-        <rsc_op id="19" operation="stop" operation_key="rsc_hadev2_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="20" operation="stop" operation_key="rsc_hadev2_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
-        <rsc_op id="24" operation="stop" operation_key="child_DoFencing:0_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+        <rsc_op id="25" operation="stop" operation_key="child_DoFencing:0_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
-        <rsc_op id="27" operation="stop" operation_key="child_DoFencing:2_stop_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+        <rsc_op id="28" operation="stop" operation_key="child_DoFencing:2_stop_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
       </trigger>
       <trigger>
-        <pseudo_event id="32" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="33" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="18">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-hadev3-reboot" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669">
+        <attributes CRM_meta_on_node="hadev3" CRM_meta_on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669" CRM_meta_probe_complete="true" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="879e65f8-4b38-4c56-9552-4752ad436669"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
